Subject: Weeping Serbian Spruce

From: [email-masked] ()
Date: 3 Apr 1995 21:05:57 GMT

I live in eastern PA (zone 6).  I have been trying to locate a nursery
that has a weeping Serbian spruce (minimum 6' tall).  I have 
called/visited >20 nurseries in the Lehigh Valley (~60 miles north of 
Philly), and only one place had 2 rabbit-damaged specimens.  I have a 
truck and am willing to drive a couple of hours to get one.  Does anyone 
know of a nursery in eastern PA/ west central NJ that carries an unusual 
specimen like this?  Thanks for any help!

--
-----------------------------------------------------------------
|								|
|					Dan Coronell		|
|					[email-masked]	|
|								|
-----------------------------------------------------------------